### Hierarchy

- Transaction

## Index

### Constructors

- constructor

### Properties

- gasLimit
- gasPrice
- nonce
- payer
- payload
- sigs
- txAttributes
- type
- version

### Methods

- getHash
- serialize
- serializeSignedData
- serializeUnsignedData
- deserialize

## Constructors

### constructor

- new Transaction(): Transaction

- - Defined in transaction/transaction.ts:161

  #### Returns Transaction

## Properties

### gasLimit

gasLimit: Fixed64

- Defined in transaction/transaction.ts:151

Gas limit

### gasPrice

gasPrice: Fixed64

- Defined in transaction/transaction.ts:146

Gas price

### nonce

nonce: string

- Defined in transaction/transaction.ts:136

Random hex string. 4 bytes.

### payer

payer: Address

- Defined in transaction/transaction.ts:156

Address to pay for gas

### payload

payload: Payload

- Defined in transaction/transaction.ts:131

Payload of transaction

### sigs

sigs: TxSignature[] = []

- Defined in transaction/transaction.ts:161

Array of signatures

### txAttributes

txAttributes: TransactionAttribute[] = []

- Defined in transaction/transaction.ts:141

deprecated

### type

type: TxType = 209

- Defined in transaction/transaction.ts:121

Transaction type

### version

version: number = 0

- Defined in transaction/transaction.ts:126

Version of transaction

## Methods

### getHash

- getHash(): string

- - Defined in transaction/transaction.ts:236

  Get the hash of transaction

  #### Returns string

### serialize

- serialize(): string

- - Defined in transaction/transaction.ts:177

  Serialize transaction to hex string The result is used to send to blockchain.

  #### Returns string

### serializeSignedData

- serializeSignedData(): string

- - Defined in transaction/transaction.ts:221

  Serialize signatures

  #### Returns string

### serializeUnsignedData

- serializeUnsignedData(): string

- - Defined in transaction/transaction.ts:187

  Serialize transaction data exclueds signatures

  #### Returns string

### Static deserialize

- deserialize(hexstring: string): Transaction

- - Defined in transaction/transaction.ts:74

  #### Parameters

  - ##### hexstring: string

  #### Returns Transaction

Generated using TypeDoc